scsi_bios_ptable
Prev | drivers/scsi/scsicam.c | Next

## Name

scsi_bios_ptable — Read PC partition table out of first sector of device.

## Synopsis

`unsigned char * scsi_bios_ptable (` | struct block_device * | dev`)`;

## Arguments

`dev`

  from this device

## Description

Reads the first sector from the device and returns `0x42` bytes starting at offset `0x1be`.

## Returns

partition table in kmalloc(GFP_KERNEL) memory, or NULL on error.

Prev | Up | Next
scsi_device_lookup | Home | scsicam_bios_param